package org.arefgard.container.flow.service;

import java.util.List;

public class Receive extends Sequence {

	private List<String> parameters = new java.util.ArrayList<String>();
	
	private String nextTo;

	public Receive(String name) {
		setName(name);
	}
	
	public String getParameter(int i) {
		return parameters.get(i);
	}
	
	public void addParameter(String param) {
		parameters.add(param);
	}
	
	public int getParameterLength() {
		return parameters.size();
	}
	
	public String getNextTo() {
		return nextTo;
	}
	
	public void setNextTo(String navigation) {
		this.nextTo = navigation;
	}

	
}
